New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Incorrect deprecation warning for jekyll-paginate gem #3393

Closed
paulrobertlloyd opened this Issue Feb 1, 2015 · 2 comments

Comments

Projects
None yet
4 participants
@paulrobertlloyd
Contributor

paulrobertlloyd commented Feb 1, 2015

I’ve just updated to the latest build, and now getting this message:

Deprecation: You appear to have pagination turned on, but you haven't included the `jekyll-paginate` gem. Ensure you have `gems: [jekyll-paginate]` in your configuration file.

I'm not loading my Jekyll gems by listing them in my config file, but via the :jekyll_plugins Gemfile group, i.e.:

group :jekyll_plugins do
  gem 'jekyll-archives'
  gem 'jekyll-assets'
  gem 'jekyll-paginate'
  gem 'jekyll-sitemap'
end

So this warning is incorrect. Is there a better way to test for the existence of jekyll-paginate?

@parkr

This comment has been minimized.

Show comment
Hide comment
@parkr

parkr Feb 1, 2015

Member

We should probably do a config/plugin check after the plugins are required. Good catch!

Member

parkr commented Feb 1, 2015

We should probably do a config/plugin check after the plugins are required. Good catch!

@parkr parkr added the Bug label Feb 2, 2015

@parkr parkr added this to the 3.0 milestone Feb 2, 2015

@parkr parkr self-assigned this Feb 2, 2015

@mdrmike

This comment has been minimized.

Show comment
Hide comment
@mdrmike

mdrmike Feb 7, 2015

Seems to mean the docs are incorrect, too: http://jekyllrb.com/docs/pagination/#enable-pagination

Doesn't specify how to include the pagination plugin

EDIT: Oops, just realized I didn't check latest documentation for v3.0 branch when I added issue

mdrmike commented Feb 7, 2015

Seems to mean the docs are incorrect, too: http://jekyllrb.com/docs/pagination/#enable-pagination

Doesn't specify how to include the pagination plugin

EDIT: Oops, just realized I didn't check latest documentation for v3.0 branch when I added issue

parkr added a commit that referenced this issue Mar 16, 2015

@parkr parkr closed this in #3580 Mar 17, 2015

@jekyll jekyll locked and limited conversation to collaborators Feb 27, 2017

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.